Subject: [PATCH] Re: git-gui: various French translation fixes

From: Nicolas Sebrecht <[email-masked]>
Date: Thu, 19 Mar 2009 19:38:39 +0100

On Thu, Mar 19, 2009 at 01:49:02PM +0100, Sam Hocevar wrote:
> 
> On Thu, Mar 19, 2009, Sam Hocevar wrote:
> > On Thu, Mar 19, 2009, Christian Couder wrote:
> > > > >  #: git-gui.sh:2484 lib/index.tcl:410
> > > > >  msgid "Revert Changes"
> > > > > -msgstr "Annuler les modifications (revert)"
> > > > > +msgstr "Révoquer les modifications"
> > > >
> > > > I am not sure that "Révoquer" is better than "Annuler".
> > > 
> > > Perhaps "Inverser"?

[...]

>    Sorry, I misread the Wikipedia interface because I wasn't logged in
> and only admins can truly revert edits.

I don't think that we have to conform to Wikipédia.

>                                         So it does have "revert" (to
> cancel an edit) and "undo" (to perform the opposite edit of a given
> edit), which get translated to "révoquer" and "défaire". I therefore
> think "révoquer" is just as good as the others.

I disagree here.

"Annuler", "Révoquer", "Inverser" or "Défaire" usualy stands for the
same thing but : 
- thoses words doesn't have stricly the same meanings ;
- we are in a special case here because of the underlying technical
  result.

We should care that the revert operation does *not* remove a commit but
add a new one (this makes sense to Git). As a consequence, we should avoid
"Annuler", "Révoquer" and "Défaire".

"Inverser" looks like the best translation.

-- 
Nicolas Sebrecht